"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const child_process_1 = require("child_process");
const AbstractDisplayService_1 = require("./AbstractDisplayService");
class DisplayServiceWindows extends AbstractDisplayService_1.default {
    _turnOn() {
        if (this.childProcess === undefined || this.childProcess === null) {
            console.log('Display is already on');
            return;
        }
        this.childProcess = child_process_1.exec(`taskkill /pid ${this.childProcess.pid} /f /t`);
        this.childProcess.stderr.on('data', (data) => {
            console.error(data);
        });
    }
    _turnOff() {
        this.childProcess = child_process_1.exec('%systemroot%\\system32\\scrnsave.scr /s');
        this.childProcess.stderr.on('data', (data) => {
            console.error(data);
        });
    }
}
exports.default = DisplayServiceWindows;
//# sourceMappingURL=DisplayServiceWindows.js.map