import { exec } from 'child_process'

import AbstractDisplayService from './AbstractDisplayService'

export default class DisplayServiceLinux extends AbstractDisplayService {

  _turnOn() {
    exec('tvservice -s').stdout.on('data', (data: string) => {
      if (data.indexOf('0x120002') !== -1) {
        const childProcess = exec('tvservice --preferred && chvt 6 && chvt 7', null)
        childProcess.stderr.on('data', (data: string) => {
          console.error(data)
        })
      }
    })
  }

  _turnOff() {
    const childProcess = exec('tvservice -o')
    childProcess.stderr.on('data', (data: string) => {
      console.error(data)
    })
  }

}
