import { DatabaseFactory } from '../infrastructure/database'
import { DisplayServiceFactory } from '../application/display'
import { APIFactory } from '../application/api'
import DisplayIdleWatcher from '../application/DisplayIdleWatcher'

export default async () => {
  const database = DatabaseFactory.getDatabase()
  const displayIdleWatcher = new DisplayIdleWatcher(DisplayServiceFactory.getDisplayService(), APIFactory.getAlarmService())

  const data: any = await database.getValueForKey('tokens')
  displayIdleWatcher.startWatching(data.accesskey)
}
